#!/bin/sh

#make gen_sfd

#           rho [g/cm^3] d1 [km]  d2    d3   qa    qb    qc    qd    dmin        dmax   d_norm  n_norm  boulder_mfactor
#           rho [g/cm^3] d1 [km]  d2    d3   d4   qa    qb    qc    qd    qe    dmin        dmax   d_norm  n_norm  boulder_mfactor
#./gen_sfd  3.0          100.     15.   4.0  -4.55 -2.9  -3.6  -3.6  0.000987654 4000.  100.    280.    1.5  > sfd1.dat	# MB-like, more populous to get fit @ t = 4 Gyr, adjusted scaling law
#./gen_sfd4  3.0          100.     15.   3.6  -4.55 -2.5  -3.6  -2.7  0.000987654 4000.  100.    230.    1.5  > sfd1.dat	# MB-like, less populous to get fit @ t = 0.2 Gyr, adjusted scaling law
#./gen_sfd4  3.71         2.25     0.5   0.5  -7.0  -4.5  -3.6  -2.7  0.000987654 4000.  2.25    180.    1.5  > sfd2.dat	# initial Massalia

#           rho [g/cm^3] d1 [km]  d2    d3    d4   qa    qb    qc    qd    qe    dmin        dmax   d_norm  n_norm  boulder_mfactor
./gen_sfd5  3.0          100.     15.   3.6   0.1  -4.55 -2.5  -3.6  -2.6  -3.5  0.000987654 4000.  100.    230.    1.5  > sfd1.dat	# MB-like, less populous to get fit @ t = 0.3 Gyr, adjusted scaling law
./gen_sfd5  3.71         2.25     1.5   0.5   0.5  -7.0  -4.8  -3.80536346e+00  -3.80536346e+00  -3.80536346e+00  0.000987654 4000.  2.25    155.    1.5  > sfd2.dat	# initial Massalia
./gen_sfd5  3.0          6.0      3.0   3.0   3.0  -3.5  -3.5  -3.5  -3.5  -3.5  0.000987654 4000.  6.0     0.      1.5  > sfd3.dat	# initial NEA

./realsfd.awk  < sfd1.dat > sfd1.dat_EDITED
./realmassalia.awk < sfd2.dat > sfd2.dat_EDITED
./realnea.awk  < sfd3.dat > sfd3.dat_EDITED

./gen_ic < gen_ic.in
./gen_sfd.plt

exit




